So you're a Noob? Post your questions here until you graduate! Don't be shy.
User avatar
By Matthewk
#60826 FWIW, I am in the same boat, but I had luck flashing 0.9.6. I was having a problem with the timer in 0.9.5 and I found a reference that said it did not work, and to try 0.9.6, so I got the bin and was able to flash it and it works fine. I believe 0.9.6 is the last one before you had to decide which modules to compile in. I still have had no luck with anything from the automated build system.
User avatar
By devsaurus
#60978 Check the size of the firmware image you get from the build service.
The SDK reserves 5 * 4kByte on top, and you want to have some additional room left for SPIFFS. I'd estimate that the image should not be larger than 428kByte (512 - 5*4 - 64).
You need to see which/how many modules fit into that budget.

We had a similar discussion recently at https://github.com/nodemcu/nodemcu-firm ... -270538659.